Package org.apache.storm.generated

# Class HBMessageData

java.lang.Object
org.apache.storm.thrift.TUnion<HBMessageData,HBMessageData._Fields>
org.apache.storm.generated.HBMessageData

All Implemented Interfaces:
  `Serializable`, `Comparable<HBMessageData>`, `org.apache.storm.thrift.TBase<HBMessageData,HBMessageData._Fields>`, `org.apache.storm.thrift.TSerializable`

@Generated("Autogenerated by Thrift Compiler (0.19.0)") public class HBMessageData extends org.apache.storm.thrift.TUnion<HBMessageData,HBMessageData._Fields>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `HBMessageData._Fields`
  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<HBMessageData._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>`
  `metaDataMap`

  ### Fields inherited from class org.apache.storm.thrift.TUnion

  `setField_, value_`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HBMessageData()`
  `HBMessageData(HBMessageData other)`
  `HBMessageData(HBMessageData._Fields setField, Object value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HBMessageData`
  `boolval(boolean value)`
  `ByteBuffer`
  `buffer_for_message_blob()`
  `protected void`
  `checkType(HBMessageData._Fields setField, Object value)`
  `int`
  `compareTo(HBMessageData other)`
  `HBMessageData`
  `deepCopy()`
  `protected HBMessageData._Fields`
  `enumForId(short id)`
  `boolean`
  `equals(Object other)`
  `boolean`
  `equals(HBMessageData other)`
  `HBMessageData._Fields`
  `fieldForId(int fieldId)`
  `boolean`
  `get_boolval()`
  `byte[]`
  `get_message_blob()`
  `HBNodes`
  `get_nodes()`
  `String`
  `get_path()`
  `HBPulse`
  `get_pulse()`
  `HBRecords`
  `get_records()`
  `protected org.apache.storm.thrift.protocol.TField`
  `getFieldDesc(HBMessageData._Fields setField)`
  `protected org.apache.storm.thrift.protocol.TStruct`
  `getStructDesc()`
  `int`
  `hashCode()`
  `boolean`
  `is_set_boolval()`
  `boolean`
  `is_set_message_blob()`
  `boolean`
  `is_set_nodes()`
  `boolean`
  `is_set_path()`
  `boolean`
  `is_set_pulse()`
  `boolean`
  `is_set_records()`
  `static HBMessageData`
  `message_blob(byte[] value)`
  `static HBMessageData`
  `message_blob(ByteBuffer value)`
  `static HBMessageData`
  `nodes(HBNodes value)`
  `static HBMessageData`
  `path(String value)`
  `static HBMessageData`
  `pulse(HBPulse value)`
  `static HBMessageData`
  `records(HBRecords value)`
  `void`
  `set_boolval(boolean value)`
  `void`
  `set_message_blob(byte[] value)`
  `void`
  `set_message_blob(ByteBuffer value)`
  `void`
  `set_nodes(HBNodes value)`
  `void`
  `set_path(String value)`
  `void`
  `set_pulse(HBPulse value)`
  `void`
  `set_records(HBRecords value)`
  `protected Object`
  `standardSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TField field)`
  `protected void`
  `standardSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)`
  `protected Object`
  `tupleSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, short fieldID)`
  `protected void`
  `tupleSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot)`

  ### Methods inherited from class org.apache.storm.thrift.TUnion

  `clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### metaDataMap

    public static final Map<HBMessageData._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

- ## Constructor Details

  - ### HBMessageData

    public HBMessageData()

  - ### HBMessageData

    public HBMessageData(HBMessageData._Fields setField, Object value)

  - ### HBMessageData

    public HBMessageData(HBMessageData other)

- ## Method Details

  - ### deepCopy

    public HBMessageData deepCopy()

  - ### path

    public static HBMessageData path(String value)

  - ### pulse

    public static HBMessageData pulse(HBPulse value)

  - ### boolval

    public static HBMessageData boolval(boolean value)

  - ### records

    public static HBMessageData records(HBRecords value)

  - ### nodes

    public static HBMessageData nodes(HBNodes value)

  - ### message_blob

    public static HBMessageData message_blob(ByteBuffer value)

  - ### message_blob

    public static HBMessageData message_blob(byte[] value)

  - ### checkType

    protected void checkType(HBMessageData._Fields setField, Object value) throws ClassCastException
    Specified by:
      `checkType` in class `org.apache.storm.thrift.TUnion<HBMessageData,HBMessageData._Fields>`
    Throws:
      `ClassCastException`

  - ### standardSchemeReadValue

    protected Object standardSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, org.apache.storm.thrift.protocol.TField field) throws org.apache.storm.thrift.TException
    Specified by:
      `standardSchemeReadValue` in class `org.apache.storm.thrift.TUnion<HBMessageData,HBMessageData._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### standardSchemeWriteValue

    protected void standardSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `standardSchemeWriteValue` in class `org.apache.storm.thrift.TUnion<HBMessageData,HBMessageData._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### tupleSchemeReadValue

    protected Object tupleSchemeReadValue(org.apache.storm.thrift.protocol.TProtocol iprot, short fieldID) throws org.apache.storm.thrift.TException
    Specified by:
      `tupleSchemeReadValue` in class `org.apache.storm.thrift.TUnion<HBMessageData,HBMessageData._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### tupleSchemeWriteValue

    protected void tupleSchemeWriteValue(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `tupleSchemeWriteValue` in class `org.apache.storm.thrift.TUnion<HBMessageData,HBMessageData._Fields>`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### getFieldDesc

    protected org.apache.storm.thrift.protocol.TField getFieldDesc(HBMessageData._Fields setField)
    Specified by:
      `getFieldDesc` in class `org.apache.storm.thrift.TUnion<HBMessageData,HBMessageData._Fields>`

  - ### getStructDesc

    protected org.apache.storm.thrift.protocol.TStruct getStructDesc()
    Specified by:
      `getStructDesc` in class `org.apache.storm.thrift.TUnion<HBMessageData,HBMessageData._Fields>`

  - ### enumForId

    protected HBMessageData._Fields enumForId(short id)
    Specified by:
      `enumForId` in class `org.apache.storm.thrift.TUnion<HBMessageData,HBMessageData._Fields>`

  - ### fieldForId

    public HBMessageData._Fields fieldForId(int fieldId)

  - ### get_path

    public String get_path()

  - ### set_path

    public void set_path(String value)

  - ### get_pulse

    public HBPulse get_pulse()

  - ### set_pulse

    public void set_pulse(HBPulse value)

  - ### get_boolval

    public boolean get_boolval()

  - ### set_boolval

    public void set_boolval(boolean value)

  - ### get_records

    public HBRecords get_records()

  - ### set_records

    public void set_records(HBRecords value)

  - ### get_nodes

    public HBNodes get_nodes()

  - ### set_nodes

    public void set_nodes(HBNodes value)

  - ### get_message_blob

    public byte[] get_message_blob()

  - ### buffer_for_message_blob

    public ByteBuffer buffer_for_message_blob()

  - ### set_message_blob

    public void set_message_blob(byte[] value)

  - ### set_message_blob

    public void set_message_blob(ByteBuffer value)

  - ### is_set_path

    public boolean is_set_path()

  - ### is_set_pulse

    public boolean is_set_pulse()

  - ### is_set_boolval

    public boolean is_set_boolval()

  - ### is_set_records

    public boolean is_set_records()

  - ### is_set_nodes

    public boolean is_set_nodes()

  - ### is_set_message_blob

    public boolean is_set_message_blob()

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### equals

    public boolean equals(HBMessageData other)

  - ### compareTo

    public int compareTo(HBMessageData other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`